def load_paths(filename):
    f = open(filename)
    f.readline() # header
    paths=[]
    for row in f:
        data=row.split()
        weight=float(data[0])
        path=data[1].split(",")
        paths.append((weight,path))
    f.close()
    return paths

def paths_by_starting_point(paths):    
    pathdict={}
    for (w,path) in paths:
        start=path[0]
        if not pathdict.has_key(start):
            pathdict[start]=[]
        pathdict[start].append((w,path))
    return pathdict

def print_paths_by_starting_point(pathdict):
    for (start,paths) in pathdict.items():
        print "start=" + start
        avgweight=0.
        for (w,path) in paths:
            print str(w) + "\t" + ",".join(path)
            avgweight+=w
        print "average weight=" + str(avgweight/len(paths))

def analyse_paths(pathfile):
    paths=load_paths(pathfile)
    pathdict=paths_by_starting_point(paths)
    print_paths_by_starting_point(pathdict)
